PRO calc_mag 

  readcol, 'star_V_largescale.txt', xV, yV, countsV
  readcol, 'star_I_largescale.txt', xI, yI, countsI

  mag_V = 2.1100000E+01-2.5*alog10( countsV) 
  mag_I = 2.1100000E+01-2.5*alog10( countsI) 

  v_im = READFITS( 'j92f01020_drz.fits', v_hd, EXTEN_NO = 1 )
  i_im = READFITS( 'j92f01010_drz.fits', i_hd, EXTEN_NO = 1 )

  XYAD, v_hd, xV, yV, lonV, latV, /galactic
  XYAD, i_hd, xi, yi, loni, lati, /galactic


  readcol, 'all_simbad.txt', n_sim, dist_sim, glon_sim, glat_sim, v_sim, i_sim, FORMAT='(F,F,F,F, A, A)'

  has_V_index = WHERE( VALID_NUM(v_sim) )
  has_I_index = WHERE( VALID_NUM(i_sim) )
  print, N_ELEMENTS( has_V_index ), N_ELEMENTS( has_I_index )

  max_dist = 1./3600.
  COMPARE_LISTS, lonV, latV, glon_sim[has_V_index], glat_sim[has_V_index], common_coordinates_x1, common_coordinates_y1, common_coordinates_x2, common_coordinates_y2, SUBSCRIPTS_1=subscripts_common_1, SUBSCRIPTS_2=subscripts_common_2, MAX_DISTANCE=max_dist
  PRINT, N_ELEMENTS( subscripts_common_1 )

  mag_diff_V = mag_V[ subscripts_common_1 ] - v_sim[ has_V_index[ subscripts_common_2 ] ]
  print, MEDIAN( mag_diff_V )
  print, STDDEV( mag_diff_V )
  
  COMPARE_LISTS, lonI, latI, glon_sim[has_I_index], glat_sim[has_I_index], common_coordinates_x1, common_coordinates_y1, common_coordinates_x2, common_coordinates_y2, SUBSCRIPTS_1=subscripts_common_1, SUBSCRIPTS_2=subscripts_common_2, MAX_DISTANCE=max_dist
  PRINT, N_ELEMENTS( subscripts_common_1 )

  mag_diff_I = mag_I[ subscripts_common_1 ] - i_sim[ has_I_index[ subscripts_common_2 ] ]
  print, mag_diff_I
  print, MEDIAN( mag_diff_I )
  print, STDDEV( mag_diff_I )


  

  openw, outunit, 'calibration_stars_I.txt', /get_lun

  for i = 0, N_ELEMENTS( mag_diff_I ) - 1 DO $
     PRINTF, outunit, lonI[ subscripts_common_1[i]], latI[ subscripts_common_1[i] ], i_sim[ has_I_index[ subscripts_common_2[i] ] ], FORMAT='(2F15.5, F15.2)'

  FREE_LUN, outunit



  openw, outunit, 'instmag_V_all.txt', /get_lun

  for i = 0, N_ELEMENTS( xV ) - 1 DO $
     PRINTF, outunit, lonV[i], latV[i], xV[i], yV[i], mag_V[i]

  FREE_LUN, outunit

END
